%define name    lineakd-plugins
%define version 0.8.4
%define release	%mkrel 2

%global builddefault 1
%{?_without_default:   %{expand: %%global builddefault 0}}
%global buildkde 1
%{?_without_kde:   %{expand: %%global buildkde 0}}
%global buildosd 1
%{?_without_osd:   %{expand: %%global buildosd 0}}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	Plugins for lineakd
License:	GPL
Group:		System/Configuration/Hardware          
Source1:	http://prdownloads.sourceforge.net/sourceforge/lineak/lineak_defaultplugin-%{version}.tar.bz2
Source2:	http://prdownloads.sourceforge.net/sourceforge/lineak/lineak_xosdplugin-%{version}.tar.bz2
Source3:	http://prdownloads.sourceforge.net/sourceforge/lineak/lineak_kdeplugins-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-root
Url:		http://lineak.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	lineakd-devel = %{version}
BuildRequires:	lineakd

%if %buildkde
BuildRequires: qt3-devel
%endif

%if %buildosd
BuildRequires: libxosd-devel
%endif

%description
This package contains different plugins for lineakd.

%if %builddefault
%package default
Summary:	Default plugin for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}

%description default
This package contains the default plugin for lineakd.
%endif

%if %buildosd
%package xosd
Summary:	XOSD plugin for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}
BuildRequires:	libxosd-devel

%description xosd
This package contains the XOSD plugin for lineakd.
%endif

%if %buildkde
%package kde
Summary:	KDE plugins for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}
BuildRequires:	kdelibs-devel
BuildRequires:	automake1.8

%description kde
This package contains the KDE plugins for lineakd.
%endif

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%if %builddefault
%setup -q -c -T -D -a 1
%endif
%if %buildosd
%setup -q -c -T -D -a 2
%endif
%if %buildkde
%setup -q -c -T -D -a 3
%endif

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif

%if %builddefault
pushd lineak_defaultplugin-%version
%configure2_5x --with-lineak-plugindir=%_libdir/lineakd/plugins/
%make
popd
%endif

%if %buildosd
pushd lineak_xosdplugin-%{version}
%configure2_5x --with-lineak-plugindir=%_libdir/lineakd/plugins/ --with-qt-dir=/usr/lib/qt3 --with-qt-libraries=/usr/lib/qt3/%_lib
%make
popd
%endif

%if %buildkde
pushd lineak_kdeplugins-%{version}
make -f Makefile.dist
%configure2_5x --with-lineak-plugindir=%_libdir/lineakd/plugins/ --with-qt-dir=/usr/lib/qt3 --with-qt-libraries=/usr/lib/qt3/%_lib
%make
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %builddefault
pushd lineak_defaultplugin-%version
%makeinstall_std
popd
%endif

%if %buildosd
pushd lineak_xosdplugin-%{version}
%makeinstall_std
popd
%endif

%if %buildkde
pushd lineak_kdeplugins-%{version}
%makeinstall_std
popd
%endif

rm -f $RPM_BUILD_ROOT%{_libdir}/lineakd/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %builddefault
%files default
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/media-detect.conf
%{_libdir}/lineakd/plugins/defaultplugin.so
%{_libdir}/lineakd/plugins/mediadetectplugin.so
%{_mandir}/man1/lineak_defaultplugin.1*
%endif

%if %buildosd
%files xosd
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/xosdplugin.so
%{_mandir}/man1/lineak_xosdplugin.1*
%endif

%if %buildkde
%files kde
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/jukplugin.so
%{_libdir}/lineakd/plugins/kdesktopplugin.so
%{_libdir}/lineakd/plugins/kmailplugin.so
%{_libdir}/lineakd/plugins/konqplugin.so
%{_libdir}/lineakd/plugins/kmixplugin.so
%{_libdir}/lineakd/plugins/amarokplugin.so
%{_libdir}/lineakd/plugins/kscdplugin.so
%{_mandir}/man1/lineak_kdeplugins.1*
%endif


%changelog
* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 19:30:47 (55020)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 19:01:44 (55008)
Import lineakd-plugins

* Wed Jan 04 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-1mdk
- update file list
- fix URLs
- new version

* Wed Apr 06 2005 Olivier Thauvin <nanardon@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Wed Apr 06 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-3mdk
- fix 64bits build (qt...)

* Tue Apr 05 2005 Olivier Thauvin <nanardon@mandrake.org> 0.8.2-2mdk
- fix buildrequires for 64bits arch

* Mon Dec 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1mdk
- 0.8.2

* Thu Oct 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1-1mdk
- 0.8.1
- add switch to disable some compilation
- add few BuildRequires
 

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix buildrequires

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- drop patches
- new version

* Wed Sep 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-0.beta4.4mdk
- fix buildrequires

* Tue Sep 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-0.beta4.3mdk
- fix configure calls
- fix deps
- call versioned automake

* Sun Sep 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.2mdk 
- fix plugins installation path

* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.1mdk 
- first release 

